ECSHOP v2.x CHANGE LOG
--------------------------------------------------------------------------------
ECSHOP v2.7.2 RELEASE 20100604 revision 17096
  [新增] 新增商品规格库存功能
  [新增] 新增html手机商城功能
  [新增] 新增商品详情页购买记录功能
  [新增] 新增前台会员登陆保存信息选项功能
  [新增] 新增FCKEditor编辑器上传图片增加水印功能
  [新增] 新增快递单模板可视化操作
  [新增] 新增商品相册图片支持外链图片功能
  [新增] 新增在线调查中“调查选项”排序功能
  [新增] 新增权限选择时自动关联前提权限功能
  [变更] 变更前台商品排序按钮
  [变更] 优化前台属性筛选速度
  [变更] 删除了FCKEditor编辑器test.html页面，提高网站安全性
  [变更] 处理缺货登记时和回复用户留言或者评论时增加自动给客户发邮件通知功能
  [变更] 在配送方式中新建配送区域时，增加未选择所辖地区的提示
  [变更] 后台订单详情页点“去发货”按钮后变更为进入发货单列表页并查找出当前订单的发货单
  [变更] 未登录的用户点击商品推荐后当登陆完毕时变更为跳转到推荐页面
  [变更] 商品推荐增加论坛UBB代码格式
  [变更] 商品详情中商品名称的颜色样式增加无颜色选项
  [变更] 变更使用iis服务器开启url重写功能的提示
  [变更] 前台文章搜索变更为可以搜索全部文章分类的文章
  [变更] 后台商店设置“是否使用积分”选择不使用后，前台商品详情页不显示购买此商品可使用的积分额度
  [变更] 模板调用某分类下或某品牌下商品时，增加more按钮及连接
  [变更] 会员资金明细改进
  [变更] search页和tag页标题优化
  [变更] 商品属性中有换行符前台模版商品详情页面商品属性的内容显示为换行
  [变更] 前台系统文章分类列表页不显示系统文章分类
  [变更] 有预存款余额或者欠款的会员在删除时增加提示
  [变更] demo数据变更为可独立安装包
  [变更] 添加广告页面的错误提示信息
  [变更] 邮件模板编辑器改进为html编辑器
  [修正] 修正短信功能gbk下发送不了中文内容的问题
  [修正] 修正短信功能不能群发没有积分范围的特殊会员组的问题
  [修正] 修正删除文章，未删除本文章评论的问题
  [修正] 修正后台订单模板的分单部分中如无供货商（供货商设置关闭），会少一个此单发货数量的问题
  [修正] 修正后台商品分类和文章分类列表页二级分类全部收起状态，再收起顶级分类出现三级分类没有收起的问题
  [修正] 修正选择货到付款方式，走到发货后，在订单状态搜索中，找不到该订单的问题
  [修正] 修正删除已发货的发货单，未删除发货单号的问题
  [修正] 修正后台商店分类中筛选属性改为“请选择”后出现无法保存的问题
  [修正] 修正购物车相关配件有优惠价格只能买一个无法添加多个的问题
  [修正] 修正后台文章列表页第一页以外得文章无法自动发布的问题
  [修正] 修正删除当前商品关联文章的时候，会删除其他商品的关联文章的问题
  [修正] 修正推荐分成积分计算错误的问题
  [修正] 修正管理员权限少“短信管理”项的问题
  [修正] 修正非会员用户的退款申请不能在“充值和提现申请页面”显示的问题
  [修正] 修正文章搜索点击分页后文章显示不正确的问题
  [修正] 修正文章分类页里面的分页部分地址没有重写的问题
  [修正] 修正部分用户使用用户中心查看订单出现错误的问题
  [修正] 修正商店设置将时间格式更改后，后台发货单列表的下单时间显示不正确的问题
  [修正] 修正发货通知邮件确认链接错误的问题
  [修正] 修正生成商品列表时，市场价格没有根据“商品价格显示规则”进行显示的问题
  [修正] 修正属性库存无法保存为零
  [修正] 修正规格商品销售排行不显示 
  [修正] 修正货品规格问题修改问题
  [修正] 修正uc整合不能同步退出的问题
  [修正] 修正规格减库存问题
  [修正] 修正wap无法正确显示特价商品价格问题
  [修正] 修正后台添加订单没有规格问题
  [修正] 修正fck中测试文件，插件开头没加防黑客攻击设置
  [修正] 修正缺货登记报错问题
  [修正] 修正后台删除发货单问题
  [修正] 修正用户登陆漏洞
  [修正] 修正gbk手机发送错误
  [修正] 修正category页面过滤不严导致SQL注入漏洞
  [修正] 修正关闭库存管理且库存不足， 礼包不能购买 
  [修正] 修正邮件杂志中添加插入图片插入相对路径导致发送邮件图片无法显示 
  [修正] 修正Search.php页面过滤不严导致SQL注入漏洞以及后台开店向导会产生的漏洞
  [修正] 修正flow文件过滤不严
  [修正] 修正后台添加批发商品规格商品的错误 

ECSHOP v2.7.1 RELEASE 20091228 revision 16931
  [新增] 新增后台自定义导航 下拉菜单添加积分商城
  [新增] 新增供货商功能
  [新增] 新增商品免运费功能
  [新增] 新增淘宝和拍拍数据导入功能
  [新增] 新增可以自定义admin目录功能
  [新增] 新增fck编辑器多文件上传功能
  [新增] 新增密码找回问题功能
  [新增] 新增短信接口功能
  [新增] 新增文章批量管理功能
  [新增] 新增角色管理功能
  [新增] 新增网罗天下功能
  [新增] 新增快钱银行直链插件
  [新增] 新增paypal快速结帐插件
  [变更] 属性筛选语句优化
  [变更] 会员注册项设置添加排序显示是否必填功能
  [变更] 批发功能完善商品属性和后台按照分类搜索功能
  [变更] 更改模版支持JQuery库
  [变更] 文章页面增加关键字和描述
  [变更] 虚拟卡页面文字改为虚拟商品
  [变更] 支付宝签约地址更换
  [变更] 更改加密串操作流程
  [变更] 商品列表增加查看上架下架商品
  [变更] 超值礼包加入促销信息模块中
  [变更] 红包变更为已经过期的红包前台不再显示
  [变更] 专题管理增加上传广告图片，页面颜色样式和商品分类背景图
  [变更] 首页主广告管理中的flash管理新增排序功能
  [变更] 在标签添加中改为半角逗号分隔,电话增加对“-”和空格的支持
  [变更] 删除某些不经常使用的支付插件，如有需要请到官方网站下载
  [变更] 删除某些不经常使用的会员插件，如有需要请到官方网站下载
  [变更] 删除pns和800付支付插件
  [变更] 数据转换增加商品修正时间
  [变更] 优惠活动语言项前后台分离
  [修正] 修正商品批量导出SQL语句的错误
  [修正] 修正红包数量超过65535时订单取消所使用的红包没有退回给用户的错误
  [修正] 修正整合uc后，修改密码当输入空格是提示不正确的错误
  [修正] 修改版权时间
  [修正] 修正api/cron.php文件多次调用lib_time.php造成函数被重新定义的错误
  [修正] 修正上传图片类型JPEG类型代码错误
  [修正] 修正gbk版本后台销售概况flash图表内中文乱码
  [修正] 修正top10品牌问题
  [修正] 修正后台没有添加任何支付方式时的报错问题
  [修正] 修正使用url复杂重写时sitemaps.xml文件中有不是复杂重写的url
  [修正] 修正后台设置“下订单时减库存”的状态时，购物流程确认订单时判断库存。
  [修正] 修正优惠券输入字母时总价可能变化的错误以及输入优惠券号码后ajax未显示优惠券减扣金额的问题
  [修正] 修正用户购买商品后传送给UC的feed中商品描述未过滤html标签造成在UChome中页面显示错位的问题
  [修正] 修正关闭库存管理时，库存为0的积分商城的商品，不能使用积分购买的问题
  [修正] 修正在购物车中添加商品配件时提示“对不起，该商品不能单独销售。”的错误
  [修正] 修正财付通支付插件
  [修正] 修正支付宝企业用户账户不改变状态
  [修正] 修正订单产品属性相同没有减库存的问题
  [修正] 修正配件具有可选属性时，在购物车添加配件时出现的错误
  [修正] 修正站点地图输出文章地址的错误
  [修正] 修正购买流程内注册验证的错误及首页品牌区在ie6下错位的错误
  [修正] 修正购买团购商品时运费不计算商品重量的错误
  [修正] 修正后台模板设置中模板较多时可能出现排版错位的问题
  [修正] 修正拍卖活动的加幅度不合理的问题
  [修正] 修正拍卖活动的剩余时间显示不正确的问题
  [修正] 修正商品详情页属性关联商品会显示已下架商品的问题
  [修正] 修正UTF8版本商品评论不能换行的问题
  [修正] 修正购买商品悬浮框中单选属性没有默认选中的问题
  [修正] 修正订单列表点击下一页后，没有浮动商品图的问题
  [修正] 修正超值礼包商品运费未计算重量的问题
  [修正] 修正商品分类列表页，统计分类数据不正确的问题
  [修正] 修正商品详情页下复选属性不选择，加入购物车时失败且无提示
  [修正] 修正商品推荐中不支持外链图片的错误
  [修正] 修正其他无权限的管理员登陆后台仍然可以打开在起始页上的链接的错误
  [修正] 修正团购活动购买时未对库存进行判断的问题
  [修正] 修正动态调用两个以上分类商品，且有扩展分类设为被调用的分类时，调用数据会重复的错误
  [修正] 修正数据转换商品原图不能批量处理的问题
  [修正] 修正在购物车内添加配件时，配件的属性价格无法计入总价的错误
  [修正] 修正开启重写后留言板中评论商品的链接不能变为重写后的地址的错误
  [修正] 修正搜索商品无关键字时，无论默认语言是什么弹出的提示都是简体中文的错误
  [修正] 修正UTF8版本选择繁体中文或其他语言安装后，默认管理员后台导航菜单仍然是简体中文的问题
  [修正] 修正在配送方式里面删除配送区域后，表area_region没有做相应的删除的问题
  [修正] 修正GBK编码的wap网站在查看我的订单时乱码的错误
  [修正] 修正UC整合后通信不畅时商品详情页打开错误的问题
  [修正] 修正后台销售明细查询结果总数计算错误的问题
  [修正] 修正虚拟商品列表搜索后的结果页面编辑商品与编辑实物商品相同的问题
  [修正] 修正邮件模板的发货通知模板当中有发货单号的定义，但是在发货之后的邮件当中没有发货单号的问题
  [修正] 修正商品详情页下复选属性不选择，加入购物车时失败且无提示的问题
  [修正] 修正搜索结果页选择排序方式后排序状态未记录的问题
  [修正] 修正编辑团购订单后，团购活动计数和计价出现错误的问题
  [修正] 修正线下红包在使用时清空购物车后仍使用此红包的问题。
  [修正] 修正linux下有得服务器会出现Not Acceptable的问题。
  [修正] 修正留言查询不支持mysql3.2.3版本的问题
  [修正] 修正用红包序列号验证不正确的问题
  [修正] 修正团购活动和优惠活动的冲突的问题

ECSHOP v2.7.0 RELEASE 20090720 revision 16471
  [新增] 新增商品分类页筛选功能
  [新增] 新增可转换模版皮肤功能
  [新增] 新增商品列表直接购买时可选择属性功能
  [新增] 新增英文语言包
  [新增] 新增会员注册信息自定义功能
  [新增] 新增发货单和退货单功能
  [新增] 新增浏览历史清空功能
  [新增] 新增转换shopex程序4.8版本转换功能
  [新增] 新增浏览历史，销售排行和属性相关商品显示图片和价格功能
  [新增] 新增文章列表搜索文章标题功能
  [新增] 新增安装程序时校验管理员密码和提示更改表前缀
  [新增] 新增授权证书功能。
  [变更] 变更使用新的体验数据。
  [变更] 变更了后台帮助系统。
  [变更] 首页的flash广告位可设置自定义功能
  [变更] 拍卖活动到期及一口价提交订单后前台不显示这项活动
  [变更] 已经结束的团购活动前台不显示这项活动
  [变更] 留言板中也显示商品详情页的评论信息
  [变更] 超值礼包关联商品更改为所有选择商品
  [变更] 后台商品品牌列表页增加搜索功能
  [变更] 首信易支付插件变更校验功能
  [变更] 高级搜索关键词在数据库中更改为逗号分隔
  [变更] 无rss页面添加rss输出
  [变更] 设置模板页面改为按照libs.xml文件设置是否可更改
  [变更] 后台报表统计的销售明细和会员排行增加分页
  [变更] 购物流程中注册部分添加客户端校验功能
  [变更] 后台模板设置品牌专区增加数量选项
  [变更] 变更管理员不可修改自己的管理权限的功能
  [变更] 变更财付通的支付方式描述
  [变更] 变更页脚版权显示方式
  [修正] 修正搜索引擎抓取不到商品价格的问题
  [修正] 修正超值礼包的减少库存和购买时库存提醒功能
  [修正] 修正分配权限后管理员无法看到会员列表和添加会员的问题
  [修正] 修正易宝所有支付插件，快钱及快钱神州行支付插件在支付平台查看到的订单号不相符的问题
  [修正] 修正修改计费价格时分段计费语言项重复显示的问题
  [修正] 修正重量分段计价计算错误的问题
  [修正] 修正设置会员价后报价单显示不正确的问题
  [修正] 修正拍卖详情页如有销售排行的话商品图片显示错误的问题
  [修正] 修正设置商品信息的关联文章时无法搜索中文文章标题的问题
  [修正] 修正流量分析与流量分析报表下载数据不一致的问题
  [修正] 修正设置模板页面增加动态内容后前台不显示的问题
  [修正] 修正高级搜索页面选中“隐藏已脱销的商品”后搜索结果页没有选中的问题
  [修正] 修正留言板中与会员登录框的验证码有冲突的问题
  [修正] 修正虚拟卡购买后，后台发货成功，但状态不改变为已发货的问题
  [修正] 修正会员中心订单页面超值礼包连接不正确问题
  [修正] 修正购物车无法记录属性的问题
  [修正] 修正在设置模板中留言板和搜索页面增加促销信息后调取不到数据的错误
  [修正] 修正在uchome feed调用的时候如果商品默认没有图片，在uchome里边图片显示为x
  [修正] 修正用户中心从我的订单放回购物车商品属性及价格不正确的问题
  [修正] 修正购物车中的有商品时在积分商城用积分兑换商品时结算中心页面显示不正确的问题
  [修正] 修正商品包装费用没有小数的问题
  [修正] 修正sitemap不能输出复杂重写的问题
  [修正] 修正wap文章详情页面显示html标签的问题

ECSHOP v2.6.2 RELEASE 20090326 revision 15764
  [新增] 新增留言板审核功能
  [新增] 新增积分商城模块
  [新增] 新增文件校验功能
  [新增] 新增促销礼包模块,能够将多个商品组合销售
  [新增] 新增商品购买价格根据购买数量依次变更的功能
  [新增] 新增商品详情页增加商品分类下的上一个 下一个商品
  [新增] 新增流程中显示购物车中商品关联的配件，便捷商品配件的购买
  [新增] 新增phpwind 6.3会员整合的插件包
  [新增] 新增资金管理功能
  [新增] 新增商品批量上传可以生成商品相册
  [新增] 新增易宝银行直付网关
  [新增] 新增邮件服务器socket方式支持SSL
  [新增] 新增推荐商品列表可指定排序
  [新增] 新增配送方式按购买商品件数进行加价
  [新增] 新增杂志发送给指定的部分会员
  [新增] 新增邮件队列管理添加发送按钮
  [变更] 支持支付宝1.5%费率新接口
  [变更] 完善权限管理，按照权限显示用户菜单
  [变更] uc 1.5新接口
  [变更] 网店帮助文章一级菜单变更为链接
  [变更] 数据库备份文件命名采用时间+扰码方式
  [变更] 报价单不显示已下架商品
  [变更] 能够重置会员密码
  [变更] 购物车商品数量变更时提示用户点击更新购物车
  [变更] 生成商品代码时增加行数的选项
  [变更] 后台广告管理里面添加一个广告位后添加一个连接，直接链到模板设置页去
  [变更] 会员红包中增加按有效邮件发放邮件红包
  [变更] 虚拟卡添加完成后自动跳转到补货页
  [变更] 批量删除会员时候，在管理员操作日志中显示删除的会员名
  [变更] 留言板功能匿名用户名称锁定
  [变更] 用户登录时默认能够跳转到referer页面
  [变更] 支付成功信息页修改
  [变更] 拍卖活动根据活动状态排序
  [变更] 申通快件号查询调整
  [变更] 安装系统分类的文章默认添加日期修改为安装时间
  [变更] 商品比较页面本店售价变更为用户购买价格
  [变更] 商品导出时添加导出原图和缩略图
  [修正] 修正整合UC后收录商品详情页出现 Access denied的错误
  [修正] 修正品牌页推荐商品名不显示的错误
  [修正] 修正促销活动的订单金额不受“最小购物金额”限制的错误
  [修正] 修正促销商品使用红包支付的错误
  [修正] 修正留言板功能邮件验证缺少JS判断的错误
  [修正] 修正UC整合用户变更用户密码的sql错误
  [修正] 修正个别图片路径的错误
  [修正] 修正恢复数据库备份编码的错误
  [修正] 修正开启库存管理功能后改变商品库存的错误
  [修正] 修正用户取消订单或订单无效后，允许用余额追加支付的错误
  [修正] 修正批发方案没有分页的错误
  [修正] 修正具有所有权限管理员添加商品属性出错的错误
  [修正] 修正商品分类无法更新名称

ECSHOP v2.6.1 RELEASE 20081208 revision 15399
  [新增] 新增按配送方式打印配送单的功能
  [新增] 新增订单列表页能直接显示订单下的商品及缩图的功能
  [新增] 新增网站留言板功能
  [新增] 新增网站报价单功能
  [新增] 新增新的分页显示方式,用户可以指定分页的显示方式
  [新增] 导出CSV文件时允许用户自定义导出字段及顺序
  [新增] 新增与UCenter整合后的积分兑换的功能
  [新增] 新增全部品牌展示的页面
  [新增] 新增在首页促销模块显示分类下的推荐商品的功能
  [新增] 新增lib_base.php用来存储基础函数
  [新增] 新增上传商品是否自动生成相册图的开关设置
  [新增] 新增上传商品时是否保留原图的开关设置
  [新增] 新增首页推荐商品排序的选项
  [新增] 新增下订单时是否给客服发邮件的开关设置
  [新增] 新增是否开启会员邮件验证的开关设置
  [新增] 新增是否关闭会员注册的开关设置
  [新增] 新增购物车里显示商品方式的选项
  [新增] 新增购物车里是否显示商品属性的开关设置
  [新增] 新增首页FLASH样式选择的功能
  [变更] 会员整合由强制UC整合变更为插件形式
  [变更] SQL缓存方式变更为静态文件存储
  [变更] 相册存储目录变更，能够快捷的找到商品对应的图片
  [变更] 商品属性允许复选属性购物加价
  [变更] 商品图片允许调用外部图片链接
  [变更] 图片批量处理时增加可选择范围，能够对选定的部分商品图片进行单独处理
  [变更] 允许用户在添加商品时指定购物返还的等级积分
  [变更] 购物流程参数调整为GET方式以方便用户借助三方工具统计订单信息
  [变更] 热门搜索关键词调整为全站均可显示
  [变更] 支付插件网银在线改用订单号传递唯一编号
  [变更] 自动记录用户上次添加/修改商品时所选择的分类
  [变更] 拍卖活动允许进行无封顶拍卖
  [变更] 商品相册使用FLASH播放显示
  [变更] 订单搜索时增加付款中状态
  [变更] 给店主发送订单邮件时,增加更多有关订单详情的内容
  [变更] 导出CSV文件时允许对商品进行选择式导出
  [变更] 缓存及备份文件放入到TEMP文件夹下
  [变更] 品牌页标题变更,优化SEO
  [变更] 销售排行中库存数量为0时，不再继续显示
  [变更] 顺丰快递更改查询发货单号地址
  [修正] 修改选购中心属性过多时，用户一旦筛选属性就会造成mysql锁表的错误
  [修正] 修改生成的商品列表时页面编码的错误
  [修正] 修改订单"前一个订单"，"后一个订单"查找结果的错误
  [修正] 修改批量处理商品图时，原图被删除的错误
  [修正] 修改后台分成管理页面的从"第一页"点"下一页"没有响应的错误
  [修正] 修改配送方式新增配送区域模板的错误
  [修正] 修改使用重写时Feed生成的商品链接参数不正确的错误
  [修正] 修改wap部分编码没有转换的错误
  [修正] 修改推荐分成log记录显示用户ID不正确的错误
  [修正] 修改高级搜索页面的商品列表显示不正确的错误
  [修正] 修改倒计时使用的时间为用户机器时间的错误
  [修正] 修改进入团购购物车后再购买其他商品时返回的积分不正确的错误
  [修正] 修改会员推荐商品代码乱码修复的错误
  [修正] 修改mysql扩展插入时不自动截断的错误
  [修正] 修改会员生日与前台不一致的错误
  [修正] 修改用户中心订单中的放回购物车不能按会员价计算的错误

ECSHOP v2.6.0 RELEASE 20080707 revision 14711
  [新增]FCK编辑器中增加添加背景色的模块
  [新增]支付宝免签约接口
  [更新]支付插件更新，尽量使用货号商品名称传递
  [修改]修改数据转换时没用插入uc会员的错误
  [修改]修改会员充值支付后返回支付失败的错误
  [修改]修改paypal支付后没有返回的错误
  [修改]修改关闭库存后仍然提示库存不足的错误
  [修改]修改后台销售排序后不显示的错误
  [修改]修改备份数据中不含虚拟卡商品的错误
  [修改]修改调用商品代码热门商品的错误
  [修改]修改后台记事本保存乱码的错误
  [修改]修改拍卖活动中同一人可以连续出价的错误
  [修改]修改淘宝导出的错误
  [修正]修改wap分类名称显示的错误
  [修正]修改优惠活动不能搜索中文品牌、分类的错误
  [修正]修改专题中无法删除已添加商品的错误
  [修正]修改发票计算不显示的错误
ECSHOP v2.6.0 RELEASE 20080606 revision 14659
  [新增]后台欢迎页显示程序使用的编码版本
  [修改]修改图片处理类中函数版本过高的问题
  [修改]财付通注册地址修改
  [修改]其他应用异步登录时,EC商品价格为0的错误
  [修改]批量上传时非UTF8编码版本上传后乱码的问题
  [修改]IP库无效的错误
  [修改]修改重写规则在GBK版本下的错误
  [修改]修改在下订单时出现notice的错误
  [修改]修改在后台允许显示商品评论时白屏的错误
  [修改]修改订单中文转码的错误
  [修改]修改用户找回密码后更新密码无效的错误
  [修改]屏蔽php环境不允许使用chmod函数的错误
  [修改]修改红包处理时中文编码的错误
  [修改]修改财付通支付时校验的错误
  [修改]修改使用财付通付款时，付款状态不正确的错误
  [修改]修改商品关键词商品描述乱码的错误
  [修改]修改评论处出现\r\n或\n的错误
  [修改]修改fck订单编辑器不能上传图片的错误
  [修改]修改fck在IE下出现800a025e的错误
  [修改]修改淘宝旺旺中文名称时出现乱码的错误
  [修改]修改使用发票时，页面出现代码的错误
  [修改]修改商品名称带有特殊字符时不能加入批发方案的错误
  [修改]修改下载csv文件时，部分浏览器不能下载的错误
  [修改]修改淘宝拍拍导出时编码的错误
  [修改]修改用户在订单留言时不能看到管理员回复的错误
  [修改]修改后台商品中文名称不能搜索的错误
  [修改]修改批发单下载编码的错误
  [修改]修改订单退款时计算不完整的错误
  [修正]修改导出ECSHOP格式时没有导出货号的错误
  [修正]修改批量处理订单时没有发送下单时间的错误
  [修正]修改夺宝奇兵中可以出现小数点后若干位的错误
  [修正]IIS的rewrite规则加入转义符
ECSHOP v2.6.0 RELEASE 20080504 revision 14548
  [新增]集成Ucenter
  [新增]ECSHOP GBK BIG5版本
  [新增]易宝神州行支付方式
  [新增]快钱神州行支付方式
  [新增]在商品详情页显示关联的TAG信息
  [新增]增加商业用户显示License的开关
  [修改]允许用户关闭自动发送邮件
  [修改]修正设置模板与备份数据冲突的错误
  [修改]修正虚拟目录中编辑器上传路径的错误
  [修改]修正IIS服务器下重写(URL Rewrite)规则的错误
  [修改]批量导出时将商品详细信息的附件路径替换为绝对地址
  [修改]修正文章“上一篇”“下一篇”时不是重写路径的bug
  [修改]修正商品库存不足仍然可以购买商品的错误
  [修改]后台编辑器FCK editor更新为fck2.6版本
  [修改]wap在GBK版本下显示错误
  [删除]删除网汇通支付方式

ECSHOP v2.5.1 RELEASE 20080229 revision 14195
  [增加] 增加后台开店设置向导
  [增加] 增加导出EC格式的CSV文件
  [增加] 增加商品促销展示模块
  [增加] 增加商品列表的默认排序设置
  [增加] 增加在升级过程中数据库自动备份还原功能
  [增加] 增加SOHU widget模块
  [增加] 增加后台帮助信息显示的开关
  [增加] 安装数据增加常用导航设置
  [增加] 商品货号重复检查
  [变更] 对虚拟卡做单独的权限管理
  [变更] 允许在购物车中重复添加同一商品
  [变更] 更新支付插件
  [变更] 在商品详情页显示该商品的促销活动信息
  [变更] 订单批量操作时对不成功的订单做对应的提示
  [变更] 可以根据时间搜索订单
  [修正] 修正快钱支付接口
  [修正] 修正使用余额支付时余额不足也可以支付的错误
  [修正] 允许管理员修改用户提交的tag
  [修正] 调整虚拟卡支付完成时,卡密显示方式
  [修正] 修正退订邮件时出现的代码错误
  [修正] 修正在会员留言中无法看到管理员回复的错误
  [修正] 修正会员等级价格显示的错误
  [修正] 修正删除商品类型时没有考虑已经有商品使用了该类型的错误
  [修正] 修正商品图片批量处理时内存不足的错误
  [修正] 修正不论选择任何地区系统查询的费用都是一样的错误
  [修正] 修正商品批量处理时不能处理指定商品的bug
  [修正] 修正图片上传时权限的错误
  [修正] 修正4.1版本中不支持的函数
  [修正] 修正商品购买后前台库存不显示减少的错误

ECSHOP v2.5.0 RELEASE 20071128 revision 13776
  [修正] 修改添加、编辑商品时会将促销价显示为0的错误
  [修正] 修正批量删除虚拟卡补货信息时，连接丢失的错误
  [修正] 修改"商品批量修改"的模板,使其可以正常显示货号
  [修正] 修正翻页后虚拟卡补货等按钮没有了的Bug
  [修正] 修正了后台报表统计订单统计订单概况统计出错
  [修正] 修正订单统计时配送,支付方式无显示的Bug
  [修正] 修正后台文章管理编辑文章分类时上级分类可以选其自身
  [修正] 解决 mkdir 在安全模式下的bug
  [修正] 修正配送方式demo页逻辑错误
  [修正] 修改一般管理员无法修改密码的错误
  [修正] 修改配件不能单独销售时不能购买问题

ECSHOP v2.5.0 RELEASE 20071115 revision 13659
  [增加] 增加一套新的模板
  [增加] 中通配送增加保价计算
  [增加] 批量修改商品，增加对赠送积分的修改
  [增加] 后台允许用户编辑msn，qq等信息
  [修正] 修正整合插件找回密码的问题
  [修正] 修正注册时验证码的问题
  [修正] 修正模板类foreach覆盖变量的错误
  [修正] 修正商品详情页面显示促销价格和精品的
  [修正] 修改无法删除商品的bug
  [修正] 修改虚拟卡购物时付款后发货，但没有送积分
  [修正] 商品批量修改，虚拟商品不能改库存
  [修正] 修改会员等级特殊会员组可以修改上下限的问题
  [修正] 修正商品属性为负值时的错误
  [修正] 修改订单信息时没有保存贺卡祝福语的错误
  [修正] 修改合并订单时没考虑折扣的错误
  [修正] 修改分成时未考虑折扣，积分计算方式不正确的错误
  [修正] 修正添加商品类型属性的时候多次添加时的错误
  [变更] 增加发放红包和导出红包时防止超时的处理
  [变更] 将验证码设置从商店设置中独立出来并做了改进
  [变更] 批量编辑商品时，特殊会员价也可编辑
  [变更] 购物流程最后当配送名称为空时不显示
  [变更] 有必选属性时添加到购物车的调整
  [变更] 切换整合时要清除整合设置
  [变更] 购买商品赠送的积分数可以设置为-1，表示等于价格

ECSHOP v2.5.0 RELEASE 20071101 revision 13355
  [增加] 增加拍卖的功能模块
  [增加] 增加批发的功能模块
  [增加] 增加销售专题活动的功能
  [增加] 增加办事处的功能
  [增加] 增加了推荐提成功能
  [增加] 增加多种优惠活动
  [增加] 新增计划任务功能模块
  [增加] 新增商品自动上下架、文章自动上下线的功能模块
  [增加] 用户中心增加活动提醒功能
  [增加] 用户中心收藏夹增加推荐代码
  [增加] 新增邮件订阅功能
  [增加] 新增搜索引擎和搜索引擎关键字的分析
  [增加] 推荐的商品自动加上相应的图标
  [增加] 商店设置中增加用户发表评论的条件设置
  [增加] 商店设置中增加订单提醒的开关
  [增加] 商店设置增加默认库存
  [增加] 商店设置增加最低限购金额
  [增加] 商店设置增加是否一步购物的设置
  [增加] 商店设置增加发票类型以及金额的设置
  [增加] 商店设置增加何时减库存的设置：发货时还是下订单时
  [增加] 商店设置可以设置添加购物车后的操作
  [增加] 商店设置增加商店公告
  [增加] 商店设置增加相关商品显示数量的选项
  [增加] 现在可以备份模板的布局了
  [增加] 增加支付方式：余额支付。如果余额足够的话，就可以选择这种支付方式
  [增加] 会员增加信用额度.注册会员可以透支了
  [增加] 会员可以设置关注商品，当商品的价格有变化或者有相关的优惠活动自动通知用户
  [增加] 与论坛整合后，会员可以将论坛的积分和商城的积分进行兑换
  [增加] 增加自定义导航栏的功能
  [增加] 允许管理员查看用户的收货地址
  [增加] 商家可以针对每个分类设置有几个价格过滤区间
  [增加] 商家可以指定一个属性作为分类的筛选条件
  [增加] Flash播放器的设置现在是一个独立的功能模块了
  [增加] 允许导出淘宝、拍拍的数据格式
  [增加] 后台新增随意贴的功能
  [增加] 新增订单状态查询的功能
  [增加] 新增支付和配送的演示
  [增加] 限制订单查询频率
  [增加] 统计中增加对比查询的方式
  [增加] 添加邮政挂号印刷品配送插件
  [增加] 添加网站统计开关
  [变更] 将验证码设置从商店设置中独立出来并做了改进
  [变更] 对管理员密码进行了强度的验证
  [变更] 邮件服务器设置从商店设置中独立出来并进行改进
  [变更] sitemaps文件现在放在根目录下了
  [变更] 后台添加、编辑订单时，收货地址不再限制必须选择3级
  [变更] 虚拟卡现在作为系统内置功能不再是插件了
  [变更] 数据表优化出错时尝试修复数据表
  [变更] 编辑商品的时候，重新上传图片，文件名改为原文件名，不新生成
  [变更] 编辑商品后能返回到上次浏览的页
  [变更] 实现跨页商品比较
  [变更] 更新统计的Flash控件
  [变更] 地区名称可以自己设定了，不再是固定的国家、省份等等
  [变更] 允许设置用户中心中上传附件的大小的限制
  [变更] 文章分类实现无级分类
  [变更] 商品列表页面可以选择显示方式了
  [变更] 当顾客全款余额支付虚拟商品时，自动给用户卡号及卡密
  [变更] 所有时间都改为存储为格林威治时间戳
  [变更] 商品比较显示方式的改进
  [变更] 商品相册的调整
  [变更] 专题编辑界面的调整
  [变更] 注册时可填写qq、msn、电话等信息
  [变更] 商品信息中填写检索属性自动保存为商品关键字
  [变更] 编辑商品时重命名上传文件时，先删除目标文件，防止在2003重命名出错。
  [变更] 整合中加入验证用户是否使用了latin字符集。防止执行中出错。
  [变更] 修改会员价格输入规则限制
  [修正] 完善夺宝奇兵活动的购买流程
  [修正] 修正翻页后，批量转移到分类不能使用的问题
  [修正] 修正导出数据时未考虑当前语言的问题
  [修正] 修正登录后购物车里面的商品属性被清空的问题
  [修正] 修正商品列表页批量转移提示选定的分类不是底层分类的错误
  [修正] 修改编辑广告时输出上传文件的路径的问题
  [修正] 修改高级搜索时如果属性检索条件都无效时查询为空的错误
  [修正] 修正文章分类页，置顶不起作用的问题
  [修正] 修正在商品列表页编辑商品的时候没有更新最后更新时间的问题
  [修正] 修正购买虚拟卡时js检查收货地址错误的bug
  [修正] 修正跟踪包裹的数量统计错误
  [修正] 修正用户中心无法保存msn的错误
  [删除] 去掉插件管理

ECSHOP v2.1.5 RELEASE 20070618 revision 9334
  [修正] 修正当只有一个支付方式时，账户充值时会出现没有选定支付方式的提示的错误
  [变更] 恢复备份时mysql4.1版本以下检查sql是否有指定默认编码，有则清除
  [增加] 重写规则对团购和夺宝骑兵的支持
  [修正] 修正删除有订单的会员时报错的问题
  [修正] 修正前台首页登录后显示的红包价值不正确的问题
  [修正] 修改当邮件服务器密码和前台ajax用户密码中含有'&'时的问题
  [修正] 修正注册会员可查看其他会员订单的错误
  [修正] 修正商品比较中移除商品的错误
  [修正] 修正精品、新品等搜索结果使用下拉框翻页结果的错误
  [修正] 修正商品列表查询特价商品的错误

ECSHOP v2.1.5 RELEASE 20070522 revision 8707
  [变更] 变更检测服务器端 GD 库支持的图片类型的方式
  [增加] 新增 800pay 支付插件
  [增加] 新增 ctopay 支付插件
  [增加] 增加对支付宝的即时到帐方式的支持
  [增加] 增加对 HTTPS 方式的支持
  [修正] 修正在使用代理方式的服务器获得域名出现错误的问题
  [修正] 使用红包、积分支付的总金额不能超过商品总金额
  [修正] 发放积分时，按照商品总金额中现金支付的部分发放
  [修正] 修正邮件标题乱码的问题
  [修正] 修正后台退款申请显示数量不对的错误
  [修正] 修正整合 Discuz 后登录再跳转回商城会导致论坛用户退出的问题
  [修正] 已知细微Bug的修正及部分代码的优化

ECSHOP v2.1.5 RELEASE 20070513 revision 8594
  [修正] 在用户中心对订单追加使用余额支付时，没有生成帐号明细记录
  [修正] 订单取消、无效或退货后，再确认，没有更新应付款金额
  [修正] 修正更新购物车没有完全更新相关配件数量的错误
  [修正] 备份数据库时，扩大 memory_limit 的限制数值

ECSHOP v2.1.5 RELEASE 20070511 revision 8578
  [变更] 订单检查的间隔时间改为3分钟，且将上次检查的时间保存在cookie中
  [变更] 当恢复备份时，数据库版本不同时不再不允许恢复，而是给出提示
  [变更] 购物车下的赠品排序，可选的显示在前面，其它按金额正序排列
  [修正] 修正关键字统计的错误
  [修正] 修正上传文件类型判断在某些Windows系统下出现错误的问题
  [修正] 修正订单支付后（线上支付），修改订单金额，再次支付时无法支付的 bug
  [修正] 修正在 Maxthon 中 FCKEditor 的问题
  [修正] 修正虚拟商品在线支付后库存被多减的错误
  [修正] 修正商品简述、关键字当字数过多时造成乱码的问题
  [修正] 修正在 PHP 4.3 以下版本图片处理的问题

ECSHOP v2.1.5 RELEASE 20070430 revision 8462
  [变更] 没有配送方式时（虚拟商品）不能编辑发货单号
  [修正] 购买虚拟商品支付后第二次刷新不显示卡号和密码的问题
  [修正] 修改财付通数字签名是中文时的错误
  [修正] 修改虚拟商品后台翻页的问题
  [修正] 修正复制商品时图片为空的问题
  [修正] 修正更新购物车商品数量时没有对配件的数量进行相应处理的错误
  [修正] 修正某些情况下dz插件可能会有notice的问题
  [修正] 修改版本对比方法，避免 phpversion 函数被禁用

ECSHOP v2.1.5 RELEASE 20070429 revision 8427
  [变更] 修改加入购物车函数（加入的商品自动作为已有商品的配件，且价格低优先，配件数量最多可以等于基本件数量）
  [变更] 编辑商品时最后才删除旧原图
  [变更] 后台赠品类型列表改为分页显示
  [变更] 后台登录时清除购物车中无效的数据
  [变更] 前台计算商品销售排行前10 只统计已完成的订单
  [增加] 增加 ShopEX v4.7.1 数据转换程序
  [增加] 增加了易付通网关支付插件
  [增加] 增加了 IPS 网关支付插件
  [增加] 增加对启用了 open_basedir 的情况下对临时目录权限的检查
  [修正] 订单打印时显示赠品和特惠品字样
  [修正] 修改获取指定分类下级分类的错误
  [修正] 修改虚拟卡解码的错误
  [修正] 夺宝奇兵出价按出价时间倒序排
  [修正] 图片批量处理几处问题的修改
  [修正] 修正关联商品时不论怎么选都是双向关联的问题
  [修正] 已知细微Bug的修正及部分代码的调整和优化

ECSHOP v2.1.5 RELEASE 20070406 revision 8008
  [变更] 首页轮播的 Flash 升级到 v3.0
  [变更] 修改数据库备份的方式
  [变更] IP 库更新至 20070405
  [修正] 修正提交评论时对换行的存储不正确的问题
  [修正] 修改 IIS 重写规则
  [修正] 修正升级到 2.1.1b 时中断的问题
  [修正] 修正卸载虚拟卡插件时没有清空回收站中的虚拟卡商品
  [修正] 购买过该商品的人还购买过的商品名称改为短格式名称
  [修正] 修正无法修改管理员密码的问题
  [修正] 修改前台计算商品销售排行的函数：只统计已完成的订单
  [优化] AJAX 传输速度的优化提升

ECSHOP v2.1.5 revision 7805
  [增加] 增加 Firefox 订单检查插件
  [增加] 增加会员预付款以及会员账目管理模块
  [增加] 增加管理员添加、修改订单的模块
  [增加] 首页、分类页增加商品品牌模块，同时增加独立的品牌页
  [增加] 配送插件增加保价费以及货到付款附加费用的设置
  [增加] 支付插件增加手续费的设置
  [增加] 增加用户中心欢迎页面以及用户公告
  [增加] 增加 yeepay、nps、网汇通、首信易等多个支付插件
  [增加] 增加 DVBBS for PHP 版本的会员插件
  [增加] 用户中心增加删除会员留言的功能
  [增加] 用户中心增加独立的红包管理模块
  [增加] 内存占用情况的输出（仅适用于支持此函数的 PHP 版本）
  [变更] FCKEditor 升级到 v2.4.1
  [变更] 对安装和升级程序的重写
  [变更] 对代码进行全面的优化和整理，执行速度和效率得到大幅度提升
  [变更] 放弃 adodb，采用自主开发的更简单快速的数据库引擎
  [变更] 放弃 cpaint，采用自主开发的 Ajax 框架，并调整前后台的 AJAX 应用
  [变更] 重新开发 session 引擎，完全脱离 PHP 的原生 session 机制
  [变更] 调整团购的购物流程
  [修正] 全面调整模版，整合不必要的 library 到模版中，规范模版的命名
  [修正] 前台语言项编辑模块允许搜索语言项的索引
  [修正] 修正当启用 URL 重写时站点地图中的 URL 没有被重写的问题
  [修正] 修正管理中心统计一些错误的算法
  [修正] 精简订单确认短信语言项
  [修正] 修正用户中心留言时未保存主题的bug
  [修正] 改进找回会员密码的操作方式
  [修正] 修正短信管理左侧菜单在繁体语言时显示不出来的问题
  [修正] 修正夺宝奇兵活动后台的分页bug
  [修正] 修改品牌、包装、贺卡、友情链接图片时同时删除原有图片
  [修正] 对数据库字段和索引的部分调整
  [修正] 大量已知细微Bug的修正
  [测试] 新增英文语言包，供测试使用

ECSHOP v2.1.2b revision 3910
  [增加] 增加文章标题的显示长度的设置({$article.short_title})
  [增加] 管理中心起始页增加安全模式信息的内容
  [增加] 增加初始化的文件上传目录
  [修正] 更新cls_sql_executor.php，提高前缀替换、表创建等操作的精确度
  [修正] 修改复制目录文件的函数
  [修正] 修改在某些环境下创建目录失败的问题
  [修正] 修正退款的bug
  [修正] 已知细微Bug的修正及部分代码的优化

ECSHOP v2.1.2a revision 3662
  [增加] 增加商品销售排行统计时间的选项设置
  [增加] 增加商品详情页显示的商品图片的数量设置选项
  [增加] 模板预编译增加对vbs脚本的支持
  [修正] 修正登录用户名乱码的BUG
  [修正] 修改商店设置中图片的路径
  [修正] 判断整合对象的域名与商城的域名是否相同
  [修正] 修正URL重写后，选择页数会出现category-1.html?cat=1这样的问题
  [修正] 其他细微的调整和优化

ECSHOP v2.1.2 revision 3453
  [增加] 增加团购商品的首页显示数量的设置选项
  [增加] 在商店设置里加入"商店关键字"设置
  [增加] 搜索表单增加分类列表框
  [增加] 增加 META 语法，拒绝搜索引擎
  [增加] 商店设置增加商品属性关联的商品数量的开关
  [增加] 允许删除无效的订单
  [增加] 数据库备份数据恢复检查备份版本号
  [增加] 增加 paypal 支付方式插件
  [修正] 修正批量上传商品时没有把图片添加到商品相册的bug
  [修正] 修正站外JS投放商品时from_ad值的获取参数
  [修正] 修正编辑区域时错误地提示名称重复的bug

ECSHOP v2.1.2 Beta revision 3290
  [增加] 增加购物流程发短信的功能
  [增加] 增加发短信的设置
  [增加] 增加模拟floatval函数
  [增加] 增加phpbb论坛整合
  [增加] 增加财付通支付插件
  [增加] 商品列表页增加批量转移
  [增加] 恢复数据库备份时可以选择修改表前缀
  [增加] 语言项编辑功能
  [增加] 商店设置中增加测试邮件的发送功能
  [增加] 前台会员中心标签的删除功能
  [修正] 修正整合论坛后会员登录时的数据同步BUG
  [修正] 修正phpwind5会员插件的BUG
  [修正] 修改订单打印：显示发货单号，注明赠品、配件
  [修正] 完善transport类，现已支持cookie功能
  [修正] 返回发送测试邮件时出错的详细信息
  [修正] 修正当多行文本的属品属性无法在商品编辑界面正常显示的错误
  [修正] 修改发放红包时会导致修改所有类型为线下发放的红包类型的发放数量的错误
  [修正] 修改url重写时对非法字符过滤不充分的错误
  [修正] 修正使用余额的bug：使用的余额超过订单金额时要退还
  [修正] 修改或删除文章时，如果有上传的文件，也删除文件
  [修正] 优化管理中心的JS调用
  [修正] 模板修改为即时编译

ECSHOP v2.1.1c revision 2885
  [修正] 中文用户名的淘宝旺旺帐号无法正确显示在线状态的问题
  [修正] 购物流程中填写收货人信息时出现JS错误
  [修正] 启用重写后，当商品名等出现斜线时会引发404错误
  [修正] 一些细节上的调整和优化

ECSHOP v2.1.1b  revision 2829
  [增加] 缩略图长宽为0时的处理
  [增加] 线下红包列表加上字段排序功能
  [增加] 订单详情中加入订单的来源显示
  [修正] 修正特殊会员等级跟积分相关的bug
  [修正] 修正安装程序中对服务器权限的检查BUG
  [修正] 解决当存在两个国家时设置配送区域不可选其他国家的错误
  [修正] 修正Google sitemaps的错误
  [修正] 修正红包序列号有重复产生的BUG
  [修正] 修正更新购物车中的商品数量时没有检查是否启用库存的设置的问题
  [修正] 修正新增的管理员不能查看 "客户统计" 的BUG
  [修正] 修正按品牌检索的时候会出现翻页后检索不出来内容的错误
  [修正] 修改js计算的价格小数位数超长的bug
  [修正] 修正添加商品时有时出现某商品类型的属性有值的bug
  [修正] 修正顺丰,申通快递发货单查询的规范

ECSHOP v2.1.1a revision 2739
  [增加] 对cls_image类中生成缩略和加水印对生成目标进行可写性检查，并对用户传递相对路径时做相应处理
  [增加] 订单详情中的商品名称增加连接地址
  [增加] 缩略图长宽中某一项为0时，按照指定项的值对图片进行等比缩放
  [修正] 修正管理员日志出现模板错误的问题
  [修正] 修正批量图片处理后某些环境下商品详情页图片显示不正常的问题
  [修正] 修正上传图片名中有'.'时导致上传文件名后缀出错
  [修正] 修正在删除地区列表中某区域时的页面刷新BUG
  [修正] 修正了缩略图生成失败时也把原图删掉的错误
  [修正] 修正通过分类页下拉框跳转时出现的错误
  [修正] 修正在某些环境下上传商品相册图片无法创建缩略图的错误
  [修正] 修正图片批量处理时商品详情页缩略图片链接地址错误
  [修正] 修正 ipb, phpwind5 SQL 语句语法的问题